#include<iostream>
#include<conio.h>
#include<string.h>
#include<vector>
using namespace std;


int main()
{
	int a, b, c, d, e, f;
	string s;
	cin >> a;
	cin >> b;
	cin >> c;
	int max = 0;
	int i = 0;
	d = a;
	e = b;
	f = c;

	if (a / 10 == 0 && a > max)
	{
		max = a;
	}
	if (b / 10 == 0 && b > max)
	{
		max = b;
	}
	if (c / 10 == 0 && c > max)
	{
		max = c;
	}




	int k;
	while (d>0 && e>0 && f>0)
	{



		d = d / 10;
		e = e / 10;
		f = f / 10;
		k = d;

		while (d > 10)
		{
			d = d / 10;
		}
		if (d > max)
		{
			max = d;
		}
		d = k;
		k = e;
		while (e > 10)
		{
			e = e / 10;
		}

		if (e > max)
		{
			max = e;
		}
		e = k;
		k = f;
		while (f > 10)
		{
			f = f / 10;
		}
		if (f > max)
		{
			max = f;
		}

		f = k;



	}









	if (max == a)
	{
		if (b > c)
		{
			cout << a << b << c;
		}
		else
		{
			cout << a << c << b;
		}
	}
	if (max == b)
	{
		if (a > c)
		{
			cout << b << a << c;
		}
		else
		{
			cout << b << c << a;
		}
	}






	if (max == c)
	{
		if (a> b)
		{
			cout << c << a << b;
		}
		else
		{
			cout << c << b << a;
		}
	}

	



}